package com.huiju.estateagents.common;

import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;
import java.util.Random;

public class StringUtils {
    public static boolean isEmpty(String str) {
        return null == str || "".equals(str.trim()) || "null".equals(str) || "undefined".equals(str);
    }

    public static String trim(String src, String ...st) {
        if (null == src) return src;
        if (null == st || st.length == 0) return src.trim();

        String start = st[0];
        if (!src.startsWith(start)) {
            return src;
        }

        return src.substring(start.length());
    }

    public static String ifNull(String src, String defaultVal) {
        return null == src || "".equals(src) ? defaultVal : src;
    }

    public static String random(int length) {
        String str="abcdefghijklmnopqrstuvwxyz0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ";
        Random random = new Random();
        StringBuffer sb = new StringBuffer();
        for(int i=0;i<length;i++){
            int number=random.nextInt(62);
            sb.append(str.charAt(number));
        }
        return sb.toString();
    }

    public static String urlEncode(String str) {
        try {
            return URLEncoder.encode(str, "UTF-8");
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
            return str;
        }
    }
}
