package com.huiju.estateagents.drainage.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 引流项目 
 * </p>
 *
 * @author jobob
 * @since 2019-10-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaDrainage implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "drainage_id", type = IdType.AUTO)
    private Integer drainageId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 名称
     */
    private String name;

    /**
     * 截止时间
     */
    private LocalDateTime endDate;

    /**
     * 参与数
     */
    private Integer enlistNum;

    @TableField(exist = false)
    private String appid;
    
    @TableField(exist = false)
    private String appSecret;
}
