package com.huiju.estateagents.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 助力活动 
 * </p>
 *
 * @author jobob
 * @since 2019-10-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_help_activity")
public class HelpActivity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "help_activity_id", type = IdType.AUTO)
    private Integer helpActivityId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 活动标题
     */
    private String title;

    /**
     * 活动开始时间
     */
    private LocalDateTime startDate;

    /**
     * 活动结束时间
     */
    private LocalDateTime endDate;

    /**
     * 已参与人数 备注：应该指的是所有参与人
     */
    private Integer enlistNum;

    /**
     * 助力人数
     */
    private Integer personNum;

    /**
     * 助力次数 0不限制，大于零表示限制次数
     */
    private Integer helpNum;

    /**
     * 状态 0未开始，1进行中，2已结束
     */
    private Integer status;

    /**
     * 权重
     */
    private Integer weight;

    /**
     * 是否首推
     */
    private Boolean isMain;

    /**
     * 活动说明
     */
    private String activityInstructions;

    /**
     * 主图
     */
    private String img;

    /**
     * 助力封面图1,用于活动列表
     */
    private String listImg;

    /**
     * 助力封面图2,用于首页底部活动轮播
     */
    private String bannerListImg;

    /**
     * 城市ID
     */
    private int cityId;

    /**
     * 活动状态
     */
    private Integer activityStatus;

    /**
     * 权重，用于排序
     */
    private Integer heavy;

    /**
     * Initiate 发起者  Booster 助力者
     */
    @TableField(exist = false)
    private String helpStatus;

    /**
     * 发起成功的总数
     */
    @TableField(exist = false)
    private String succeedCount;
    
    /**
     * 助力成功次数
     */
    @TableField(exist = false)
    private Integer successNum;

    /**
     * 助力拼团2表和1活动ID
     * activityId
     */
    @TableField(exist = false)
    private Integer activityId;

    /**
     * 助力拼团2表和1
     * type(1助力，2拼团)
     */
    @TableField(exist = false)
    private Integer type;
}
