package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import lombok.experimental.FieldDefaults;

/**
 * <p>
 * 助力活动发起人员记录 
 * </p>
 *
 * @author jobob
 * @since 2019-10-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_help_initiate_record")
public class HelpInitiateRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "help_record_initiate_id", type = IdType.AUTO)
    private Integer helpRecordInitiateId;

    /**
     * 创建时间 也是助力发起时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 助力活动id
     */
    private String helpActivityId;

    /**
     * 人员Id 人员自己
     */
    private String personId;

    /**
     * 人员姓名
     */
    private String name;

    /**
     * 人员手机号
     */
    private String phone;

    /**
     * 人员微信头像
     */
    private String avatarurl;

    /**
     * 助力成功时间
     */
    private LocalDateTime succeedDate;

    /**
     * 核销码
     */
    private String verification;

    /**
     * 核销时间
     */
    private LocalDateTime verificationDate;

    /**
     * 核销状态
     */
    private Integer verificationStatus;

    /**
     * 助力人数 发起助力后，参与人数
     */
    private Integer enlistNum;
    
    private Integer status;

    /**
     * 助力
     */
    @TableField(exist = false)
    private int helpCount;

    /**
     * 当前活动助力所需要的人数
     */
    @TableField(exist = false)
    private int persionNumCount;
    
    @TableField(exist = false)
    private String title;
    
    @TableField(exist = false)
    private String img;
    
    @TableField(exist = false)
    private Integer activityStatus;
    
    @TableField(exist = false)
    private LocalDateTime endDate;
}
