package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 助力活动助力人员记录 
 * </p>
 *
 * @author jobob
 * @since 2019-10-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_help_record")
public class HelpRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "help_record_id", type = IdType.AUTO)
    private Integer helpRecordId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 助力活动id
     */
    private String helpActivityId;

    /**
     * 人员Id 人员自己
     */
    private String personId;

    /**
     * 人员姓名
     */
    private String name;

    /**
     * 人员手机号
     */
    private String phone;

    /**
     * 人员微信头像
     */
    private String avatarurl;

    /**
     * 发起活动助力id
     */
    private Integer helpRecordInitiateId;
    
    @TableField(exist = false)
    private String activityName;
    
    @TableField(exist = false)
    private String mainImg;
    
    @TableField(exist = false)
    private Integer activityStatus;
    
    @TableField(exist = false)
    private LocalDateTime endDate;
}
