package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_activity_dynamic_enlist")
public class TaActivityDynamicEnlist implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 报名ID
     */
    @TableId(value = "enlist_id", type = IdType.AUTO)
    private Integer enlistId;

    /**
     * 活动ID
     */
    private String dynamicId;

    private String personId;

    /**
     * 姓名
     */
    private String name;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 手机号
     */
    private String phone;

    private Integer orgId;

    private String sharePerson;

    private String sharePersonType;

    /**
     * 报名人数
     */
    private Integer attendNum;

    /**
     * 是否签到 0否 1是
     */
    private Integer isCheckin;

    /**
     * 分享人
     */
    @TableField(exist = false)
    private String sharePersonName;

    /**
     * 公司名称
     */
    @TableField(exist = false)
    private String orgName;
    
    /**
     * 添加的积分
     */
    @TableField(exist = false)
    private Integer addPoints;

}
