package com.huiju.estateagents.entity;

import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 项目户型表
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaBuildingApartment implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 户型id
     */
    @TableId(value = "apartment_id", type = IdType.UUID)
    private String apartmentId;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 名称
     */
    private String apartmentName;

    /**
     * 类型
     */
    private String apartmentType;

    /**
     * 备注
     */
    private String remark;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 销售状态
     */
    private Integer marketStatus;

    private Double insideArea;

    private Double buildingArea;

    private String apartmentPrice;

    private String apartmentDescription;

    private String houseType;

    /**
     * 户型图片列表
     */
    @TableField(exist = false)
    private List<TaBuildingImg> buildingImgList;


}
