package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 项目意向表 
 * </p>
 *
 * @author jobob
 * @since 2019-08-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaBuildingIntention implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 设置ID
     */
    @TableId(value = "intention_id", type = IdType.AUTO)
    private Integer intentionId;

    /**
     * 事件ID
     */
    private Integer eventId;

    /**
     * 事件code
     */
    private String eventCode;

    /**
     * 事件名称
     */
    private String eventName;

    /**
     * 意向值
     */
    private Integer intention;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;


}
