package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 聊天记录表
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaChat implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 记录ID
     */
    @TableId(value = "chat_id", type = IdType.AUTO)
    private Integer chatId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 发送人
     */
    private String sendPerson;

    /**
     * 发送人头像
     */
    private String sendAvatar;

    /**
     * 发送人名称
     */
    private String sendName;

    /**
     * 接收人
     */
    private String receivePerson;

    /**
     * 接收人头像
     */
    private String receiveAvatar;

    /**
     * 接收人名称
     */
    private String receiveName;

    /**
     * 是否已读
     */
    private Integer isRead;

    /**
     * 消息内容
     */
    private String message;

    /**
     * 内容类型
     */
    private String messageType;

    /**
     * 公司Id
     */
    private Integer orgId;


}
