package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 资料图片库 
 * </p>
 *
 * @author jobob
 * @since 2019-10-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_document_img")
public class TaDocumentImg implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "document_img_id", type = IdType.AUTO)
    private Integer documentImgId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 用户Id
     */
    private String personId;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 资料表id 对应ta_document_verify
     */
    private Integer documentVerifyId;

    /**
     * 图片
     */
    private String img;

    /**
     * 说明
     */
    private String instructions;

    /**
     * 标签
     */
    private String tag;

    /**
     * 排序
     */
    private Integer sort;

}
