package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 资料审核 
 * </p>
 *
 * @author jobob
 * @since 2019-10-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_document_verify")
public class TaDocumentVerify implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "document_verify_id", type = IdType.AUTO)
    private Integer documentVerifyId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 用户Id
     */
    private String personId;

    /**
     * 审核人id
     */
    private String verifyUser;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 审核状态 0未审核  1审核通过  2审核不通过
     */
    private Integer verifyStatus;

    private String documentTitle;

    private String rejectReason;

    @TableField(exist = false)
    private List<TaDocumentImg> imgList;

    @TableField(exist = false)
    private String name;

    @TableField(exist = false)
    private String tel;




}
