package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 辅助内容表 
 * </p>
 *
 * @author jobob
 * @since 2019-07-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaExtendContent implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 内容ID
     */
    @TableId(value = "content_id", type = IdType.AUTO)
    private Integer contentId;

    /**
     * 打开方式
     */
    private String showType;

    /**
     * 发布位置
     */
    private String showPosition;

    /**
     * 类型
     */
    private String contentType;

    /**
     * 链接ID
     */
    private String targetId;

    /**
     * 图片
     */
    private String image;

    /**
     * 自定义内容
     */
    private String content;

    /**
     * 内容标题
     */
    private String title;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;

    private Integer cityId;
}
