package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 商品表 
 * </p>
 *
 * @author jobob
 * @since 2019-07-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaGoods implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 商品id
     */
    @TableId(value = "goods_id", type = IdType.AUTO)
    private Integer goodsId;

    /**
     * 商品名称
     */
    private String goodsName;

    /**
     * 价格
     */
    private BigDecimal price;

    /**
     * 积分价格
     */
    private Integer pointPrice;

    /**
     * 库存
     */
    private Integer inventory;

    /**
     * 商品图片
     */
    private String imgUrl;

    /**
     * 商品详情图
     */
    private String detailImgUrl;

    /**
     * 商品总数
     */
    private Integer totalNum;

    /**
     * 商品详情
     */
    private String goodsDescription;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 排序
     */
    private Integer orderNo;

    /**
     * 商品分类
     */
    private String typeId;

    /**
     * 分类名称
     */
    private String typeName;

    /**
     * 领取地址
     */
    private String address;

    private Integer cityId;

    /**
     * 兑换人
     */
    @TableField(exist = false)
    private TaPerson exchanger;
}
