package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 资讯表 
 * </p>
 *
 * @author jobob
 * @since 2019-07-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaNews implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 咨询ID
     */
    @TableId(value = "news_id", type = IdType.AUTO)
    private Integer newsId;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 资讯图片
     */
    private String newsImg;

    /**
     * 分享图片
     */
    private String shareImg;

    /**
     * 资讯标题
     */
    private String newsName;

    /**
     * 资讯类型id
     */
    private Integer newsTypeId;

    /**
     * 资讯详情类型 0是链接1是自定义
     */
    private String newsDetailType;

    /**
     * 资讯详情 0的情况下存链接，1的情况下存富文本
     */
    private String newsDetail;

    /**
     * 资讯状态 0是已发布1是未发布
     */
    private Integer newsStatus;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 阅读量
     */
    private Integer pvNum;

    /**
     * 点赞量
     */
    private Integer favorNum;

    /**
     * 收藏量
     */
    private Integer saveNum;

    /**
     * 分享数量
     */
    private Integer shareNum;

    /**
     * 权重
     */
    private Integer weight;

    /**
     * 类型
     */
    @TableField(exist = false)
    private TaNewsType newsType;

    private Integer cityId;

    @TableField(exist = false)
    private Integer isSave;

    @TableField(exist = false)
    private List<TaPoster> posters;

    @TableField(exist = false)
    private List<TaShareContent> shareContents;
}
