package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 用户意向流水 
 * </p>
 *
 * @author jobob
 * @since 2019-08-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaPersonIntentionRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    /**
     * 用户ID
     */
    private String personId;

    /**
     * 用户名称
     */
    private String personName;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 楼盘名称
     */
    private String buildingName;

    /**
     * 事件ID
     */
    private Integer eventId;

    /**
     * 事件code
     */
    private String eventCode;

    /**
     * 事件名称
     */
    private String eventName;

    /**
     * 意向值
     */
    private Integer intention;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 手机号
     */
    @TableField(exist = false)
    private String phone;

    /**
     * 意向值总和
     */
    @TableField(exist = false)
    private Integer intentionCount;

}
