package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 人员积分表
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaPersonPoints implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 记录ID
     */
    @TableId(value = "rec_id", type = IdType.AUTO)
    private Integer recId;

    /**
     * 积分
     */
    private Integer points;

    /**
     * 收支类型
     */
    private String chargeType;

    /**
     * 人员ID
     */
    private String personId;

    /**
     * 说明
     */
    private String desc;

    /**
     * 时间
     */
    private LocalDateTime createDate;

    /**
     * 公司Id
     */
    private Integer orgId;

}
