package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 人员签到表
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaPersonSign implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 记录ID
     */
    @TableId(value = "rec_id", type = IdType.AUTO)
    private Integer recId;

    /**
     * 签到人
     */
    private String personId;

    /**
     * 签到时间
     */
    private LocalDateTime signDate;

    /**
     * 持续天数
     */
    private Integer durationDays;

    @TableField(exist = false)
    private TaPerson person;

}
