package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 积分兑换记录 
 * </p>
 *
 * @author jobob
 * @since 2019-07-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaPointsExchange implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 记录ID
     */
    @TableId(value = "rec_id", type = IdType.AUTO)
    private Integer recId;

    /**
     * 兑换人
     */
    private String personId;

    /**
     * 兑换人姓名
     */
    private String personName;

    /**
     * 兑换人手机
     */
    private String phone;

    /**
     * 兑换人头像
     */
    private String avatar;

    /**
     * 兑换物品
     */
    private String targetId;

    /**
     * 物品名称
     */
    private String targetName;

    /**
     * 物品图片
     */
    private String image;

    /**
     * 消耗积分
     */
    private Integer points;

    /**
     * 领取地址
     */
    private String address;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 过期时间
     */
    private LocalDateTime expiredDate;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;
    
    /**
     * 领取时间
     */
    private LocalDateTime verifyDate;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;
    
    @TableField(exist = false)
    private String personType;
    
    @TableField(exist = false)
    private String startCreateDate;
    
    @TableField(exist = false)
    private String endCreateDate;
    
    @TableField(exist = false)
    private String startVerifyDate;
    
    @TableField(exist = false)
    private String endVerifyDate;
    
    @TableField(exist = false)
    private String tel;
}
