package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 角色表 角色表，每个org的角色可以单独设置。但是都共有一个admin角色。这个角色在创建用户的时候创建好了
 * </p>
 *
 * @author jobob
 * @since 2019-09-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaRole implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 角色id
     */
    @TableId(value = "role_id", type = IdType.AUTO)
    private Integer roleId;

    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 是否管理员
     */
    private Boolean isAdmin;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 当前角色菜单
     */
    @TableField(exist = false)
    private List<SysMenu> sysMenuList;

    /**
     * 当前按钮
     */
    @TableField(exist = false)
    private List<SysButtonInMenu> sysButtonInMenu;


}
