package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 收藏表 
 * </p>
 *
 * @author jobob
 * @since 2019-07-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_save")
public class TaSave implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 收藏ID
     */
    @TableId(value = "save_id", type = IdType.AUTO)
    private Integer saveId;

    /**
     * 收藏人ID
     */
    private String personId;

    /**
     * 名称
     */
    private String nameOrnick;

    /**
     * 头像
     */
    private String photoOravatar;

    /**
     * 被收藏对象
     */
    private String savedTarget;

    /**
     * 收藏类型
     */
    private String tagertType;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;


}
