package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 拼团活动表 
 * </p>
 *
 * @author jobob
 * @since 2019-10-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaShareActivity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 活动id
     */
    @TableId(value = "group_activity_id", type = IdType.AUTO)
    private Integer groupActivityId;

    /**
     * 项目id
     */
    private String buildingId;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 活动标题
     */
    private String activityName;

    /**
     * 活动主图
     */
    private String mainImg;

    /**
     * 拼团封面图1，用于活动列表
     */
    private String listImg;

    /**
     * 拼团封面图2,用于首页底部活动轮播
     */
    private String bannerListImg;

    /**
     * 活动开始时间
     */
    private LocalDateTime startTime;

    /**
     * 活动结束时间
     */
    private LocalDateTime endTime;

    /**
     * 成团人数
     */
    private Integer groupBuyPeople;

    /**
     * 所需积分
     */
    private Integer integral;

    /**
     * 活动说明图
     */
    private String descImg;

    /**
     * 城市id
     */
    private Integer cityId;

    /**
     * 分享id
     */
    private String shareId;

    /**
     * 海报id
     */
    private String posterId;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 活动状态
     */
    private Integer activityStatus;

    /**
     * 首页推荐
     */
    private Boolean sort;

    /**
     * 置顶
     */
    private Integer weight;

    /**
     * 权重，用于排序
     */
    private Integer heavy;

    /**
     * Initiate 发起者  Booster 助力者
     */
    @TableField(exist = false)
    private String groupStatus;

    /**
     * 用户平均积分
     */
    @TableField(exist = false)
    private Integer averageScore;
    
    /**
     * 助力成功次数
     */
    @TableField(exist = false)
    private Integer successNum;

    /**
     * 参加拼团人数
     */
    @TableField(exist = false)
    private Integer participateNum;
}
