package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 积分获取规则字典表 
 * </p>
 *
 * @author jobob
 * @since 2019-07-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdPointsRules implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 规则id
     */
    @TableId(value = "rule_id", type = IdType.AUTO)
    private Integer ruleId;

    /**
     * 规则名称
     */
    private String ruleName;

    /**
     * 积分数量
     */
    private Integer pointsAmount;

    /**
     * 更新时间
     */
    private LocalDateTime updateDate;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;
    
    /**
     * 停用启用状态
     */
    private Integer status;
    
    /**
     * 积分说明
     */
    private String remark;
    
    /**
     * code
     */
    private String code;
}
