package com.huiju.estateagents.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 * 助力活动发起人员记录 
 * </p>
 *
 * @author jobob
 * @since 2019-10-17
 */
@Data
public class HelpInitiateRecordSucceed {

    /**
     * 创建时间 也是助力发起时间
     */
    @ColumnWidth(24)
    @DateTimeFormat("yyyy年MM月dd日HH:mm:ss")
    @ExcelProperty(value = "发起时间", index = 2)
    private Date createDate;

    /**
     * 人员姓名
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "发起者", index = 0)
    private String name;

    /**
     * 人员手机号
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "发起者手机号", index = 1)
    private String phone;

    /**
     * 助力成功时间
     */    /**
     * 创建时间 也是助力发起时间
     */
    @ColumnWidth(24)
    @DateTimeFormat("yyyy年MM月dd日HH:mm:ss")
    @ExcelProperty(value = "助力成功时间", index = 3)
    private Date succeedDate;

    /**
     * 核销状态
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "核销状态", index = 4)
    private String verificationStatus;
}
