package com.huiju.estateagents.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 助力活动发起人员记录
 * </p>
 *
 * @author jobob
 * @since 2019-10-17
 */
@Data
public class HelpRecordExport {

    /**
     * 创建时间 也是助力发起时间
     */
    @ColumnWidth(36)
    @ExcelProperty(value = "助力时间", index = 2)
    @DateTimeFormat("yyyy年MM月dd日 HH时mm分ss秒")
    private Date createDate;


    /**
     * 人员手机号
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "手机号", index = 1)
    private String phone;

    /**
     * 人员姓名
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "用户名", index = 0)
    private String name;

}
