package com.huiju.estateagents.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huiju.estateagents.entity.TaActivityDynamicEnlist;
import com.huiju.estateagents.excel.HelpInitiateRecordSucceed;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 楼盘户型对应图片表 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
@Mapper
public interface TaActivityDynamicEnlistMapper extends BaseMapper<TaActivityDynamicEnlist> {

    /**
     * 查询活动报名记录
     * @param page
     * @param dynamicId
     * @return
     */
    List<TaActivityDynamicEnlist> signList(Page<TaActivityDynamicEnlist> page, @Param("dynamicId") String dynamicId, @Param("orgId") Integer orgId,@Param("isCheckin") String isCheckin,@Param("name") String name,@Param("phone") String phone);

    /**
     * 查询活动已经报名的总人数
     * @param dynamicId
     * @return
     */
    Integer selectEnlistCount(@Param("dynamicId") String dynamicId, @Param("orgId") Integer orgId);

    /**
     * 导出报名记录
     * @param i
     * @param pageSize
     * @param dynamicId
     * @param isCheckin
     * @param name
     * @param phone
     * @return
     */
    List<HelpInitiateRecordSucceed> getTaActivityDynamicEnlistExport(@Param("pageCode") int i, @Param("pageSize") Integer pageSize, @Param("dynamicId") String dynamicId, @Param("isCheckin") String isCheckin, @Param("name") String name, @Param("phone") String phone,@Param("orgId") Integer orgId);
}
