package com.huiju.estateagents.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.TaPerson;
import com.huiju.estateagents.entity.TaRecommendCustomer;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.excel.AgentsRecommendCustomer;
import com.huiju.estateagents.excel.ExcelRecommendCustomer;
import com.huiju.estateagents.excel.ReporRecommendCustomer;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 推荐客户表 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
public interface ITaRecommendCustomerService extends IService<TaRecommendCustomer> {

    ResponseBean getMyCustList(String openid, String keywords, int pageNumber, int pageSize);

    ResponseBean getCustDetail(String id);

    ResponseBean updateCustByJSON(String paramStr);

    ResponseBean recommendCust(String paramStr, String openid,Integer orgId);

    ResponseBean reportCust(String paramStr, String openid,Integer orgId);

    IPage<TaRecommendCustomer> getUnSignedCustomerList(int pageNumber, int pageSize, String building,String personId);

    IPage getCustomerList(Integer status,int pageNumber, int pageSize, String building,String name,String tel,String consultName,String consultTel,String entryType,String verifyStatus,Integer sex, String customerType, Integer orgId);

    IPage<TaRecommendCustomer> getRecCustomerList(int pageNumber, int pageSize, String building,String name,String tel,String consultName,String consultTel,String entryType,String verifyStatus,Integer sex, Integer orgId);

    IPage<TaRecommendCustomer> getRepCustomerList(int pageNumber, int pageSize,String building,String name,String tel,String consultName,String consultTel,String entryType,String verifyStatus,Integer sex, Integer orgId);

    IPage<TaPerson> getIndependentAgents(int pageNumber, int pageSize,String name,String tel, Integer orgId);


    TaRecommendCustomer getCustomerDetail(String customerId,int pageNumber, int pageSize);

    TaPerson getPublicCustomerDetail(String personId,int pageNumber, int pageSize);

    TaRecommendCustomer getCustomerById(String customerId);

    IPage<TaRecommendCustomer>getCustomersIRecommended(int pageNumber, int pageSize,String customerId,Integer orgId);

    TaRecommendCustomer newByPerson(TaPerson person);

    /**
     * 导出数据(推荐客户)
     * @param orgId
     * @return
     */
    List<ExcelRecommendCustomer> getRecCustomerExport(Integer orgId, Integer pageCode, Integer pageSize);

    /**
     * 导出数据(推荐客户) 总数
     * @param orgId
     * @return
     */
    Integer getRecCustomerExportCount(Integer orgId);

    /**
     * 导出数据(报备客户) 总数
     * @param orgId
     * @return
     */
    Integer getRepCustomerReportCount(String building, String name, String tel, String consultName, String consultTel, String entryType, String verifyStatus, Integer sex, Integer orgId);

    /**
     * 导出数据(报备客户)
     * @param orgId
     * @param pageCode
     * @param pageSize
     * @return
     */
    List<ReporRecommendCustomer> getRepCustomerReportExport(String building, String name, String tel, String consultName, String consultTel, String entryType, String verifyStatus, Integer sex, Integer orgId, Integer pageCode, Integer pageSize);

    /**
     * 导出数据(经纪人) 总数
     * @param orgId
     * @return
     */
    Integer getIndependentAgentsCount(Integer orgId);

    /**
     * 导出数据(经纪人)
     * @param orgId
     * @param pageCode
     * @param pageSize
     * @return
     */
    List<AgentsRecommendCustomer> getIndependentAgentsExport(Integer orgId, Integer pageCode, Integer pageSize);
    
    /**
     * 查询我的客户人数集合
     * @param openid
     * @return
     */
    ResponseBean getMyCustStatistics(String openid);
    
    /**
     * 分页查询我的跟进客户集合
     * @param pageNumber
     * @param pageSize
     * @param openid
     * @param name
     * @param phone
     * @param status
     * @param startReportDate
     * @param endReportDate
     * @param startArrivalDate
     * @param endArrivalDate
     * @return
     */
    ResponseBean getMyCustFollowOrClinch(Integer pageNumber, Integer pageSize, String openid, String type, String name, String phone, Integer status, String startReportDate, String endReportDate, String startArrivalDate, String endArrivalDate);
    
    /**
     * 获取盘客工具下我的客户详情
     * @param customerId
     * @param openid
     * @return
     */
    ResponseBean getMyCustDetail(String customerId, String openid);
    
    /**
     * 更新我的客户基本信息
     * @param taRecommendCustomer
     * @param openid
     * @return
     */
    ResponseBean updateMyCust(TaRecommendCustomer taRecommendCustomer, String openid);
}
