package com.huiju.estateagents.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.common.CommConstant;
import com.huiju.estateagents.entity.ExtendContent;
import com.huiju.estateagents.mapper.ExtendContentMapper;
import com.huiju.estateagents.service.IExtendContentService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 辅助内容表  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-07-25
 */
@Service
public class ExtendContentServiceImpl extends ServiceImpl<ExtendContentMapper, ExtendContent> implements IExtendContentService {

    @Autowired
    private ExtendContentMapper extendContentMapper;
    @Override
    public ResponseBean extendContentAdd(ExtendContent extendContent) {
        ResponseBean responseBean= new ResponseBean<>();
        extendContentMapper.insert(extendContent);
        responseBean.addSuccess("成功");
        return  responseBean;
    }

    @Override
    @Deprecated
    public ResponseBean selectExtendContentList(String contentType, String buildingId) {
        ResponseBean responseBean = new ResponseBean<>();
        // 查询轮播图
        QueryWrapper<ExtendContent> extendContentQuery= new QueryWrapper<>();
        // banner 或 screen(首屏广告) ,这里是 banner
        extendContentQuery.eq("show_position",CommConstant.CAROUSEL);
        // activity(活动) 或 project(项目) 或 news（咨迅）
        extendContentQuery.eq("content_type",contentType);
        extendContentQuery.eq("building_id",buildingId);
        extendContentQuery.eq("status","1");
        List<ExtendContent> taExtendContent = extendContentMapper.selectList(extendContentQuery);
        responseBean.addSuccess(taExtendContent);
        return responseBean;
    }

    @Override
    public ResponseBean selectExtendContentListShowType(String showType, String showPosition, String targetId, String contentType, String buildingId, String contentId, Integer cityId,Integer orgId) {
        ResponseBean responseBean= new ResponseBean<>();
        // 开屏
        QueryWrapper<ExtendContent> extendContentQuery= new QueryWrapper<>();
        // banner 或 screen(首屏广告) ,这里是 screen
        extendContentQuery.eq("show_type",showType);
        extendContentQuery.eq(StringUtils.isNotBlank(showPosition), "show_position",showPosition);
        extendContentQuery.eq(StringUtils.isNotBlank(targetId), "target_id",targetId);
        extendContentQuery.eq(StringUtils.isNotBlank(contentId), "content_id",contentId);
        // activity(活动) 或 project(项目) 或 news（咨迅）
        extendContentQuery.eq(StringUtils.isNotBlank(contentType), "content_type",contentType);
        extendContentQuery.eq(StringUtils.isNotBlank(buildingId), "building_id",buildingId);
        extendContentQuery.eq(null != cityId && cityId != 0, "city_id", cityId);
        extendContentQuery.eq("status","1");
        extendContentQuery.eq("org_id",orgId);
        List<ExtendContent> taExtendContent = extendContentMapper.selectList(extendContentQuery);
        responseBean.addSuccess(taExtendContent);
        return responseBean;
    }

    @Override
    public void updateActivity(String dynamicId, String type,Integer orgId) {
    QueryWrapper<ExtendContent> queryWrapperExtendContent = new QueryWrapper<>();
        queryWrapperExtendContent.eq("target_id",dynamicId);
        queryWrapperExtendContent.eq("content_type",type);
        queryWrapperExtendContent.eq("org_id",orgId);
        List<ExtendContent> list = extendContentMapper.selectList(queryWrapperExtendContent);
        for (ExtendContent extendContent : list){
            extendContent.setStatus(0);
            extendContentMapper.updateById(extendContent);
        }
    }
}
