package com.huiju.estateagents.service.impl;

import com.huiju.estateagents.entity.TaBuildingImg;
import com.huiju.estateagents.mapper.TaBuildingImgMapper;
import com.huiju.estateagents.service.ITaBuildingImgService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 楼盘图片表 服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
@Service
public class TaBuildingImgServiceImpl extends ServiceImpl<TaBuildingImgMapper, TaBuildingImg> implements ITaBuildingImgService {

    @Autowired
    TaBuildingImgMapper taBuildingImgMapper;

    @Override
    public int insertBatch(List<TaBuildingImg> imgs, String buildingId) {
        int rows = 0;

        for (TaBuildingImg img: imgs){
            TaBuildingImg Images = new TaBuildingImg();
            Images.setBuildingId(buildingId);
            Images.setImgType(img.getImgType());
            Images.setUrl(img.getUrl());
            Images.setOrderNo(Integer.valueOf(img.getOrderNo()));
            Images.setStatus(0);
            Images.setCreateDate(LocalDateTime.now());
            int row = taBuildingImgMapper.insert(Images);
            rows += row;
        }

        return rows;
    }
}
