package com.huiju.estateagents.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.estateagents.entity.HelpActivity;
import com.huiju.estateagents.entity.TaBuildingDynamic;
import com.huiju.estateagents.entity.TaNews;
import com.huiju.estateagents.entity.TaPerson;
import com.huiju.estateagents.entity.TaPersonVisitRecord;
import com.huiju.estateagents.entity.TaRecommendCustomer;
import com.huiju.estateagents.entity.TaShareActivity;
import com.huiju.estateagents.mapper.HelpActivityMapper;
import com.huiju.estateagents.mapper.TaBuildingDynamicMapper;
import com.huiju.estateagents.mapper.TaNewsMapper;
import com.huiju.estateagents.mapper.TaPersonMapper;
import com.huiju.estateagents.mapper.TaPersonVisitRecordMapper;
import com.huiju.estateagents.mapper.TaRecommendCustomerMapper;
import com.huiju.estateagents.mapper.TaShareActivityMapper;
import com.huiju.estateagents.service.ITaPersonVisitRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *   服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-07-23
 */
@Service
public class TaPersonVisitRecordServiceImpl extends ServiceImpl<TaPersonVisitRecordMapper, TaPersonVisitRecord> implements ITaPersonVisitRecordService {
	
	@Autowired
	private TaRecommendCustomerMapper taRecommendCustomerMapper;
	
	@Autowired
	private TaPersonVisitRecordMapper personVisitRecordMapper;
	
	@Autowired
	private TaBuildingDynamicMapper taBuildingDynamicMapper;
	
	@Autowired
	private TaShareActivityMapper taShareActivityMapper;
	
	@Autowired
	private HelpActivityMapper helpActivityMapper;
	
	@Autowired
	private TaNewsMapper taNewsMapper;
	
	/**
	 * 分页获取客户访问记录
	 *
	 * @param pg
	 * @param customerId
	 * @return
	 */
	@Override
	public IPage<TaPersonVisitRecord> getPersonVisitRecordList(IPage<TaPersonVisitRecord> pg, String customerId) {
		TaRecommendCustomer taRecommendCustomer = taRecommendCustomerMapper.selectById(customerId);
		IPage<TaPersonVisitRecord> result = personVisitRecordMapper.getPersonVisitRecordList(pg,taRecommendCustomer.getPersonId());
		List<TaPersonVisitRecord> records = result.getRecords();
		records.forEach(e -> {
			//获取活动标题
			if ("activity".equals(e.getEventType()) && null != e.getTargetId()){
				TaBuildingDynamic taBuildingDynamic = taBuildingDynamicMapper.selectById(e.getTargetId());
				if (null != taBuildingDynamic){
					e.setActivityName(taBuildingDynamic.getTitle());
				}
				
			}
			//获取拼团标题
			if ("group".equals(e.getEventType()) && null != e.getTargetId()){
				TaShareActivity taShareActivity = taShareActivityMapper.selectById(e.getTargetId());
				if (null != taShareActivity){
					e.setActivityName(taShareActivity.getActivityName());
				}
			}
			//获取助力标题
			if ("help".equals(e.getEventType()) && null != e.getTargetId()){
				HelpActivity helpActivity = helpActivityMapper.selectById(e.getTargetId());
				if (null != helpActivity){
					e.setActivityName(helpActivity.getTitle());
				}
				
			}
			//获取咨询标题
			if ("news".equals(e.getEventType()) && null != e.getTargetId()){
				TaNews taNews = taNewsMapper.selectById(e.getTargetId());
				if (null != taNews){
					e.setActivityName(taNews.getNewsName());
				}
				
			}
		});
		result.setRecords(records);
		return result;
	}
//    @Autowired
//    private TaPersonMapper taPersonMapper;
//    @Autowired
//    private TaPersonVisitRecordMapper taPersonVisitRecordMapper;
//
//    @Override
//    public IPage<TaPerson> selectCustomer(IPage<TaPerson> page){
//        return taPersonMapper.selectCustomer(page);
//    }
//
//    @Override
//    public TaPerson customerInfo(String personId,String consultentId){
//        TaPerson taPerson = taPersonMapper.selectById(personId);
//        taPerson.setVisitRecords(taPersonVisitRecordMapper.visitRecordByPersonId(personId));
//        return taPerson;
//    }



}
