package com.huiju.estateagents.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.estateagents.common.CommConstant;
import com.huiju.estateagents.entity.TdCity;
import com.huiju.estateagents.mapper.TaOrgCityMapper;
import com.huiju.estateagents.mapper.TdCityMapper;
import com.huiju.estateagents.service.ITdCityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-08-07
 */
@Service
public class TdCityServiceImpl extends ServiceImpl<TdCityMapper, TdCity> implements ITdCityService {
    @Autowired
    TdCityMapper tdCityMapper;

    public List<TdCity> selectCity(String leveltype,String status){
        return tdCityMapper.selectCity(leveltype, status);
    }


    @Override
    public List<TdCity> selectWxCity(String leveltype, Integer orgId) {
        List<TdCity>  tdCityList= tdCityMapper.selectWxCity(orgId);
        return tdCityList;
    }
    
    /**
     * 根据经纬度获取城市详情信息
     *
     * @param location
     * @return  
     */
    @Override
    public TdCity getLocationCity(String location) {
        //获取高德地图的坐标
        String amapString = CommConstant.AMAP_HTTP + "?location="+location+"&key=" + CommConstant.AMAP_KEY;
        RestTemplate restTemplate = new RestTemplate();
        String forObject = restTemplate.getForObject(amapString, String.class);
        JSONObject jsonObject = JSONObject.parseObject(forObject);
        //返回城市信息
        if (jsonObject.getString("status").equals("1")){
            JSONObject addressComponent = jsonObject.getJSONObject("regeocode").getJSONObject("addressComponent");
            String citycode = addressComponent.getString("citycode");
            QueryWrapper<TdCity> queryWrapper = new QueryWrapper<>();
            queryWrapper.eq("citycode",citycode);
            queryWrapper.eq("leveltype",2);
            List<TdCity> tdCities = tdCityMapper.selectList(queryWrapper);
            if (tdCities.size() > 0){
                return tdCities.get(0);
            }
            return null;
        }
        return null;
    }
    
}
