package com.huiju.estateagents.statistic.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 客户分析性别统计表 小程序盘客工具客户分析
 * </p>
 *
 * @author jobob
 * @since 2019-11-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TsCustomerGenderStatistic implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "customer_gender_statistic_id", type = IdType.AUTO)
    private Integer customerGenderStatisticId;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 性别类型 1男2女3未知
     */
    private Integer genderType;

    /**
     * 客户人数
     */
    private Integer customerNum;

    /**
     * 百分比 百分比
     */
    private BigDecimal percentage;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 更新时间
     */
    private LocalDateTime updateDate;
    
    /**
     * 客户类型 visite 到访客户， new 新增客户 ，follow跟进客户
     */
    private String customerType;
    
    /**
     * 置业顾问ID
     */
    private String realtyConsultant;
}
