package com.huiju.estateagents.statistic.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 客户分析日统计表 小程序盘客工具客户分析
 * </p>
 *
 * @author jobob
 * @since 2019-11-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ts_customer_statistic_daily")
public class TsCustomerStatisticDaily implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "customer_statistic_daily_id", type = IdType.AUTO)
    private Integer customerStatisticDailyId;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 客户数量
     */
    private Integer customerNum;

    /**
     * 客户类型 visite 到访客户， new 新增客户 ，follow跟进客户
     */
    private String customerType;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;
    
    /**
     * 日期 格式yyyymmdd例20191111
     */
    private String day;
    
    /**
     * 置业顾问ID
     */
    private String realtyConsultant;
}
