package com.huiju.estateagents.statistic.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huiju.estateagents.statistic.entity.GenderStatistic;
import com.huiju.estateagents.statistic.entity.TsCustomerGenderStatistic;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 客户分析性别统计表 小程序盘客工具客户分析 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-11-08
 */
@Mapper
public interface TsCustomerGenderStatisticMapper extends BaseMapper<TsCustomerGenderStatistic> {
	
	/**
	 * 获取新增客户的男女性别比
	 * @return
	 * @param nowDate
	 */
	List<GenderStatistic> getNewCustomerSexCount(@Param("nowDate") LocalDateTime nowDate);
	
	/**
	 * 获取跟进客户的男女性别比
	 * @return
	 */
	List<GenderStatistic> getFollowUpSexCount();
	
	/**
	 * 获取到访客户的男女性别比
	 * @return
	 */
	List<GenderStatistic> getVisiteSexCount();
}
