package com.huiju.estateagents.statistic.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.statistic.entity.TsCustomerStatisticDaily;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 客户分析日统计表 小程序盘客工具客户分析 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-11-08
 */
public interface ITsCustomerStatisticDailyService extends IService<TsCustomerStatisticDaily> {
	
	/**
	 * 每天的跟进客户统计
	 * @param nowDate
	 */
	void followUpStatisticDaily(LocalDateTime nowDate);
	
	/**
	 * 每天的新增客户统计
	 * @param nowDate
	 */
	void newCustomerStatisticDaily(LocalDateTime nowDate);
	
	/**
	 * 每天的到访客户统计
	 * @param nowDate
	 */
	void visiteStatisticDaily(LocalDateTime nowDate);
	
	/**
	 * 获取日统计数据
	 * @param customerType
	 * @param orgId
	 * @param personId
	 * @param userId
	 * @return
	 */
	List<TsCustomerStatisticDaily> getDailyList(String customerType, Integer orgId, String personId, Integer userId);
}
