package com.huiju.estateagents.statistic.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.statistic.entity.TsCustomerStatisticMonthly;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 客户分析月统计表 小程序盘客工具客户分析 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-11-08
 */
public interface ITsCustomerStatisticMonthlyService extends IService<TsCustomerStatisticMonthly> {
	
	/**
	 * 每月新增客户统计，每天都更新
	 * @param nowDate
	 */
	void newCustomerStatisticMonthly(LocalDateTime nowDate);
	
	/**
	 * 每月跟进客户统计，每天都更新
	 * @param nowDate
	 */
	void followUpStatisticMonthly(LocalDateTime nowDate);
	
	/**
	 * 每月访客客户统计，每天都更新
	 * @param nowDate
	 */
	void visiteStatisticMonthly(LocalDateTime nowDate);
	
	/**
	 * 查询12个月的客户统计分析数据
	 * @param customerType
	 * @param orgId
	 * @param personId
	 * @param userId
	 * @return
	 */
	List<TsCustomerStatisticMonthly> getCustomerMonthlyList(String customerType, Integer orgId, String personId, Integer userId);
}
